cloudhub
========

PaaS component of Anypoint Platform

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/cloudhub.svg)](https://npmjs.org/package/cloudhub)
[![Downloads/week](https://img.shields.io/npm/dw/cloudhub.svg)](https://npmjs.org/package/cloudhub)
[![License](https://img.shields.io/npm/l/cloudhub.svg)](https://github.com/https://github.com/mulesoft/anypoint-cli/cloudhub/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g @mulesoft/anypoint-cli-cloudhub-plugin
$ anypoint-cli-cloudhub-plugin COMMAND
running command...
$ anypoint-cli-cloudhub-plugin (--version|-v)
@mulesoft/anypoint-cli-cloudhub-plugin/0.1.0 darwin-arm64 node-v16.15.1
$ anypoint-cli-cloudhub-plugin --help [COMMAND]
USAGE
  $ anypoint-cli-cloudhub-plugin COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:allowlist:add NAME CIDRBLOCK`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerallowlistadd-name-cidrblock)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:allowlist:remove NAME CIDRBLOCK`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerallowlistremove-name-cidrblock)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:create [NAME] [VPC] [CERTIFICATE] [PRIVATEKEY]`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancercreate-name-vpc-certificate-privatekey)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:delete NAME`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerdelete-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:describe [NAME]`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerdescribe-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:dynamic-ips:disable NAME`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerdynamic-ipsdisable-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:dynamic-ips:enable NAME`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerdynamic-ipsenable-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:list`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerlist)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:add NAME INPUTURI APPNAME APPURI [CERTIFICATENAME]`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancermappingsadd-name-inputuri-appname-appuri-certificatename)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:describe NAME [CERTIFICATENAME]`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancermappingsdescribe-name-certificatename)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:remove NAME INDEX [CERTIFICATENAME]`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancermappingsremove-name-index-certificatename)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:add NAME CERTIFICATE PRIVATEKEY`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerssl-endpointadd-name-certificate-privatekey)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:describe NAME CERTIFICATENAME`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerssl-endpointdescribe-name-certificatename)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:remove NAME CERTIFICATENAME`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerssl-endpointremove-name-certificatename)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:setDefault NAME CERTIFICATENAME`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerssl-endpointsetdefault-name-certificatename)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:start [NAME]`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerstart-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:stop [NAME]`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerstop-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:whitelist:add NAME CIDRBLOCK`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerwhitelistadd-name-cidrblock)
* [`anypoint-cli-cloudhub-plugin cloudhub:load-balancer:whitelist:remove NAME CIDRBLOCK`](#anypoint-cli-cloudhub-plugin-cloudhubload-balancerwhitelistremove-name-cidrblock)
* [`anypoint-cli-cloudhub-plugin cloudhub:region:list [FILE]`](#anypoint-cli-cloudhub-plugin-cloudhubregionlist-file)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:business-groups:add VPC BUSINESSGROUPS...`](#anypoint-cli-cloudhub-plugin-cloudhubvpcbusiness-groupsadd-vpc-businessgroups)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:business-groups:remove VPC BUSINESSGROUPS...`](#anypoint-cli-cloudhub-plugin-cloudhubvpcbusiness-groupsremove-vpc-businessgroups)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:create NAME REGION CIDRBLOCK [ENVIRONMENTS]`](#anypoint-cli-cloudhub-plugin-cloudhubvpccreate-name-region-cidrblock-environments)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:delete NAME`](#anypoint-cli-cloudhub-plugin-cloudhubvpcdelete-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:describe [NAME]`](#anypoint-cli-cloudhub-plugin-cloudhubvpcdescribe-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:dns-servers:set NAME`](#anypoint-cli-cloudhub-plugin-cloudhubvpcdns-serversset-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:dns-servers:unset NAME`](#anypoint-cli-cloudhub-plugin-cloudhubvpcdns-serversunset-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:environments:add VPC ENVIRONMENTS...`](#anypoint-cli-cloudhub-plugin-cloudhubvpcenvironmentsadd-vpc-environments)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:environments:remove VPC ENVIRONMENTS...`](#anypoint-cli-cloudhub-plugin-cloudhubvpcenvironmentsremove-vpc-environments)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:add VPC CIDRBLOCK PROTOCOL FROMPORT TOPORT`](#anypoint-cli-cloudhub-plugin-cloudhubvpcfirewall-rulesadd-vpc-cidrblock-protocol-fromport-toport)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:describe NAME`](#anypoint-cli-cloudhub-plugin-cloudhubvpcfirewall-rulesdescribe-name)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:remove VPC INDEX`](#anypoint-cli-cloudhub-plugin-cloudhubvpcfirewall-rulesremove-vpc-index)
* [`anypoint-cli-cloudhub-plugin cloudhub:vpc:list`](#anypoint-cli-cloudhub-plugin-cloudhubvpclist)
* [`anypoint-cli-cloudhub-plugin conf [KEY] [VALUE]`](#anypoint-cli-cloudhub-plugin-conf-key-value)
* [`anypoint-cli-cloudhub-plugin help [COMMAND]`](#anypoint-cli-cloudhub-plugin-help-command)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:delete NAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationdelete-name)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:deploy NAME DEPLOYMENTTARGETID RUNTIMEVERSION ARTIFACTID`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationdeploy-name-deploymenttargetid-runtimeversion-artifactid)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:describe APPID`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationdescribe-appid)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:download-logs APPID SPECID DIRECTORY`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationdownload-logs-appid-specid-directory)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:list`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationlist)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:logs APPID SPECID`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationlogs-appid-specid)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:modify APPID`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationmodify-appid)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:start APPID`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationstart-appid)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:application:stop APPID`](#anypoint-cli-cloudhub-plugin-runtime-mgrapplicationstop-appid)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-alert-history:describe [NAME]`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-alert-historydescribe-name)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-alert:list`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-alertlist)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:copy SOURCE TARGET`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationcopy-source-target)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:copy-replace SOURCE TARGET`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationcopy-replace-source-target)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:delete NAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationdelete-name)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:deploy NAME ZIPFILE`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationdeploy-name-zipfile)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:describe NAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationdescribe-name)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:download-logs NAME DIRECTORY`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationdownload-logs-name-directory)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:list`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationlist)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:modify NAME [ZIPFILE]`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationmodify-name-zipfile)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:restart APPLICATIONNAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationrestart-applicationname)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:revert-runtime NAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationrevert-runtime-name)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:start APPLICATIONNAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationstart-applicationname)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:stop APPLICATIONNAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationstop-applicationname)
* [`anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:tail-logs NAME`](#anypoint-cli-cloudhub-plugin-runtime-mgrcloudhub-applicationtail-logs-name)
* [`anypoint-cli-cloudhub-plugin version`](#anypoint-cli-cloudhub-plugin-version)

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:allowlist:add NAME CIDRBLOCK`

Add an IP or range of IPs to the Load balancer allowlist

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:allowlist:add [NAME] [CIDRBLOCK] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Add an IP or range of IPs to the Load balancer allowlist
```

_See code: [src/commands/cloudhub/load-balancer/allowlist/add.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/allowlist/add.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:allowlist:remove NAME CIDRBLOCK`

Remove an IP or range of IPs from the Load balancer allowlist

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:allowlist:remove [NAME] [CIDRBLOCK] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Remove an IP or range of IPs from the Load balancer allowlist
```

_See code: [src/commands/cloudhub/load-balancer/allowlist/remove.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/allowlist/remove.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:create [NAME] [VPC] [CERTIFICATE] [PRIVATEKEY]`

Create a Load balancer

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:create [NAME] [VPC] [CERTIFICATE] [PRIVATEKEY] [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [--http on|off|redirect]
    [--clientCertificate <value>] [--verificationMode on|off|optional] [--crl <value>] [--tlsv1] [--dynamic-ips]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --clientCertificate=<value>
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --crl=<value>
  --dynamic-ips
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --http=<option>               <options: on|off|redirect>
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --tlsv1
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.
  --verificationMode=<option>   <options: on|off|optional>

DESCRIPTION
  Create a Load balancer
```

_See code: [src/commands/cloudhub/load-balancer/create.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/create.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:delete NAME`

Delete a Load balancer

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:delete [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Delete a Load balancer
```

_See code: [src/commands/cloudhub/load-balancer/delete.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/delete.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:describe [NAME]`

Show LB details

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:describe [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Show LB details
```

_See code: [src/commands/cloudhub/load-balancer/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/describe.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:dynamic-ips:disable NAME`

Disables dynamic IPs

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:dynamic-ips:disable [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Disables dynamic IPs
```

_See code: [src/commands/cloudhub/load-balancer/dynamic-ips/disable.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/dynamic-ips/disable.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:dynamic-ips:enable NAME`

Enables dynamic IPs

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:dynamic-ips:enable [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Enables dynamic IPs
```

_See code: [src/commands/cloudhub/load-balancer/dynamic-ips/enable.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/dynamic-ips/enable.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:list`

Lists all Load balancers in an organization

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:list [--password <value> [--username <value> | --client_id <value> | ]]
    [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists all Load balancers in an organization
```

_See code: [src/commands/cloudhub/load-balancer/list.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/list.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:add NAME INPUTURI APPNAME APPURI [CERTIFICATENAME]`

Add a proxy mapping rule at index 0If no certificateName is given, the mappings is added to the default SSL endpoint

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:add [NAME] [INPUTURI] [APPNAME] [APPURI] [CERTIFICATENAME] [--password
    <value> [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ]
    [--organization <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [--upstreamProtocol
    <value>]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --upstreamProtocol=<value>    Look for upstream applications in HTTP port 8091 or HTTPS port 8092. Supported Values:
                                http, https
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Add a proxy mapping rule at index 0If no certificateName is given, the mappings is added to the default SSL endpoint
```

_See code: [src/commands/cloudhub/load-balancer/mappings/add.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/mappings/add.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:describe NAME [CERTIFICATENAME]`

Lists the proxy mapping rules for a Load balancer. If no certificateName is given, the mappings for the default SSL endpoint are shown

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:describe [NAME] [CERTIFICATENAME] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists the proxy mapping rules for a Load balancer. If no certificateName is given, the mappings for the default SSL
  endpoint are shown
```

_See code: [src/commands/cloudhub/load-balancer/mappings/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/mappings/describe.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:remove NAME INDEX [CERTIFICATENAME]`

Remove a proxy mapping ruleIf no certificateName is given, the mapping is removed from the default SSL endpoint

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:mappings:remove [NAME] [INDEX] [CERTIFICATENAME] [--password <value> [--username
    <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Remove a proxy mapping ruleIf no certificateName is given, the mapping is removed from the default SSL endpoint
```

_See code: [src/commands/cloudhub/load-balancer/mappings/remove.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/mappings/remove.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:add NAME CERTIFICATE PRIVATEKEY`

Add an additional certificate to an existing Load balancer

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:add [NAME] [CERTIFICATE] [PRIVATEKEY] [--password <value> [--username
    <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics] [-h] [--clientCertificate <value>] [--verificationMode
    off|on|optional] [--crl <value>]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --clientCertificate=<value>   Client certificate file
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --crl=<value>                 Certificate Revocation List file
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.
  --verificationMode=<option>   Specifies the client verification mode
                                <options: off|on|optional>

DESCRIPTION
  Add an additional certificate to an existing Load balancer
```

_See code: [src/commands/cloudhub/load-balancer/ssl-endpoint/add.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/ssl-endpoint/add.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:describe NAME CERTIFICATENAME`

Show the Load balancer configuration for a particular certificate

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:describe [NAME] [CERTIFICATENAME] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Show the Load balancer configuration for a particular certificate
```

_See code: [src/commands/cloudhub/load-balancer/ssl-endpoint/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/ssl-endpoint/describe.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:remove NAME CERTIFICATENAME`

Remove a certificate from a Load balancer

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:remove [NAME] [CERTIFICATENAME] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Remove a certificate from a Load balancer
```

_See code: [src/commands/cloudhub/load-balancer/ssl-endpoint/remove.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/ssl-endpoint/remove.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:setDefault NAME CERTIFICATENAME`

Set the default certificate that the Load balancer will serve

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:ssl-endpoint:setDefault [NAME] [CERTIFICATENAME] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [--http on|off|redirect]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --http=<option>               <options: on|off|redirect>
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Set the default certificate that the Load balancer will serve
```

_See code: [src/commands/cloudhub/load-balancer/ssl-endpoint/setDefault.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/ssl-endpoint/setDefault.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:start [NAME]`

Starts a Load balancer

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:start [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Starts a Load balancer
```

_See code: [src/commands/cloudhub/load-balancer/start.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/start.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:stop [NAME]`

Stops a Load balancer

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:stop [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Stops a Load balancer
```

_See code: [src/commands/cloudhub/load-balancer/stop.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/stop.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:whitelist:add NAME CIDRBLOCK`

Add an IP or range of IPs to the Load balancer allowlist

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:whitelist:add [NAME] [CIDRBLOCK] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Add an IP or range of IPs to the Load balancer allowlist
```

_See code: [src/commands/cloudhub/load-balancer/whitelist/add.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/whitelist/add.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:load-balancer:whitelist:remove NAME CIDRBLOCK`

Remove an IP or range of IPs from the Load balancer allowlist

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:load-balancer:whitelist:remove [NAME] [CIDRBLOCK] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Remove an IP or range of IPs from the Load balancer allowlist
```

_See code: [src/commands/cloudhub/load-balancer/whitelist/remove.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/load-balancer/whitelist/remove.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:region:list [FILE]`

Lists all supported regions

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:region:list [FILE] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists all supported regions
```

_See code: [src/commands/cloudhub/region/list.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/region/list.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:business-groups:add VPC BUSINESSGROUPS...`

Share a VPC with a list of Business Groups.

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:business-groups:add [VPC] [BUSINESSGROUPS...] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Share a VPC with a list of Business Groups.
```

_See code: [src/commands/cloudhub/vpc/business-groups/add.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/business-groups/add.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:business-groups:remove VPC BUSINESSGROUPS...`

Share a VPC with a list of Business Groups.

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:business-groups:remove [VPC] [BUSINESSGROUPS...] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Share a VPC with a list of Business Groups.
```

_See code: [src/commands/cloudhub/vpc/business-groups/remove.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/business-groups/remove.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:create NAME REGION CIDRBLOCK [ENVIRONMENTS]`

Create a new VPC

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:create [NAME] [REGION] [CIDRBLOCK] [ENVIRONMENTS] [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [--default] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --default                     Makes the VPC the default for the Organization.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Create a new VPC
```

_See code: [src/commands/cloudhub/vpc/create.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/create.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:delete NAME`

Delete an existing VPC

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:delete [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-f]

FLAGS
  -f, --force
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Delete an existing VPC
```

_See code: [src/commands/cloudhub/vpc/delete.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/delete.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:describe [NAME]`

Show VPC details

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:describe [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Show VPC details
```

_See code: [src/commands/cloudhub/vpc/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/describe.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:dns-servers:set NAME`

Sets the domain names that are resolved using your internal DNS servers

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:dns-servers:set [NAME] --server <value> --domain <value> [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --domain=<value>              (required) A domain to resolve on the special DNS server list
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --server=<value>              (required) IP for a DNS server to resolve special domains on
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Sets the domain names that are resolved using your internal DNS servers
```

_See code: [src/commands/cloudhub/vpc/dns-servers/set.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/dns-servers/set.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:dns-servers:unset NAME`

Clears the list domain names that are resolved using your internal DNS servers

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:dns-servers:unset [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Clears the list domain names that are resolved using your internal DNS servers
```

_See code: [src/commands/cloudhub/vpc/dns-servers/unset.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/dns-servers/unset.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:environments:add VPC ENVIRONMENTS...`

Modifies the VPC association to Runtime Manager environments.

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:environments:add [VPC] [ENVIRONMENTS...] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [--default]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --default                     Also add the VPC as the organization default VPC
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Modifies the VPC association to Runtime Manager environments.
```

_See code: [src/commands/cloudhub/vpc/environments/add.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/environments/add.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:environments:remove VPC ENVIRONMENTS...`

Modifies the VPC association to Runtime Manager environments.

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:environments:remove [VPC] [ENVIRONMENTS...] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Modifies the VPC association to Runtime Manager environments.
```

_See code: [src/commands/cloudhub/vpc/environments/remove.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/environments/remove.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:add VPC CIDRBLOCK PROTOCOL FROMPORT TOPORT`

Add a firewall rule for Mule applications in this VPC

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:add [VPC] [CIDRBLOCK] [PROTOCOL] [FROMPORT] [TOPORT] [--password <value>
    [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization
    <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Add a firewall rule for Mule applications in this VPC
```

_See code: [src/commands/cloudhub/vpc/firewall-rules/add.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/firewall-rules/add.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:describe NAME`

Show firewall rule for Mule applications in this VPC

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:describe [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Show firewall rule for Mule applications in this VPC
```

_See code: [src/commands/cloudhub/vpc/firewall-rules/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/firewall-rules/describe.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:remove VPC INDEX`

Remove a firewall rule for Mule applications in this VPC

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:firewall-rules:remove [VPC] [INDEX] [--password <value> [--username <value> | --client_id
    <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>]
    [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Remove a firewall rule for Mule applications in this VPC
```

_See code: [src/commands/cloudhub/vpc/firewall-rules/remove.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/firewall-rules/remove.ts)_

## `anypoint-cli-cloudhub-plugin cloudhub:vpc:list`

Lists all VPCs

```
USAGE
  $ anypoint-cli-cloudhub-plugin cloudhub:vpc:list [--password <value> [--username <value> | --client_id <value> | ]]
    [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [--limit <value>] [--sort <value>] [--offset <value>] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --limit=<value>               [default: 10] Number of results to retrieve
  --offset=<value>              Offset
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --sort=<value>                [default: id] Field to sort results
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists all VPCs
```

_See code: [src/commands/cloudhub/vpc/list.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/cloudhub/vpc/list.ts)_

## `anypoint-cli-cloudhub-plugin conf [KEY] [VALUE]`

Manage authentication credentials in a configuration file (config.json) 

```
USAGE
  $ anypoint-cli-cloudhub-plugin conf [KEY] [VALUE] [-h] [-k <value>] [-v <value>] [-d]

ARGUMENTS
  KEY    key of the config
  VALUE  value of the config

FLAGS
  -d, --delete         delete config key
  -h, --help           Show CLI help.
  -k, --key=<value>    key of the config
  -v, --value=<value>  value of the config

DESCRIPTION
  Manage authentication credentials in a configuration file (config.json)
  by adding and removing key value pairs. Set one key value pair per command execution.
  CLI config file: ~/Library/Preferences/anypoint-cli-v4-nodejs/config.json

EXAMPLES
  $ anypoint-cli-cloudhub-plugin conf username myuser

  $ anypoint-cli-cloudhub-plugin conf password mypwd
```

## `anypoint-cli-cloudhub-plugin help [COMMAND]`

Display help for anypoint-cli-cloudhub-plugin.

```
USAGE
  $ anypoint-cli-cloudhub-plugin help [COMMAND] [-n]

ARGUMENTS
  COMMAND  Command to show help for.

FLAGS
  -n, --nested-commands  Include all nested commands in the output.

DESCRIPTION
  Display help for anypoint-cli-cloudhub-plugin.
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v5.1.12/src/commands/help.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:delete NAME`

Delete a cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:delete [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Delete a cloudhub application
```

_See code: [src/commands/runtime-mgr/application/delete.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/delete.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:deploy NAME DEPLOYMENTTARGETID RUNTIMEVERSION ARTIFACTID`

Deploy a new application retrieved from exchange [artifactId] in target [deploymentTargetId] with runtime version [runtimeVersion]

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:deploy [NAME] [DEPLOYMENTTARGETID] [RUNTIMEVERSION] [ARTIFACTID]
    [--password <value> [--username <value> | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  |
    ] [--organization <value>] [--environment <value>] [--host <value>] [--collectMetrics] [-h] [--assetVersion <value>]
    [--groupId <value>] [--replicas <value>] [--replicaSize <value>] [--objectStoreV2] [--updateStrategy <value>]
    [--clustered] [--lastMileSecurity] [--disableAmLogForwarding] [--property <value>] [--secureProperty <value>]
    [--propertiesFile <value>] [--scopeLoggingConfigFile <value>] [--scopeLoggingConfig <value>] [--forwardSslSession]
    [--pathRewrite <value>] [--publicEndpoints <value>] [--instanceType <value>] [-o <value>]

FLAGS
  -h, --help                        Show CLI help.
  -o, --output=<value>              [default: table] Format for commands output. Supported values are table (default)
                                    and json
  --assetVersion=<value>            Version of the exchange application to use, default: latest app version
  --bearer=<value>                  Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>               Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>           Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment
                                    variable.
  --clustered                       clustering enabled, requires atleast 2 replicas, default disabled.
  --collectMetrics                  collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --disableAmLogForwarding          Disable forwarding application logs to Anypoint Monitoring, default false.
  --environment=<value>             Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --forwardSslSession               TLS Setting. Enable SSL session forwarding. Default disabled.
  --groupId=<value>                 Group id of the asset to deploy, default equals currently selected organization id
  --host=anypoint.mulesoft.com      [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                    environment variable.
  --instanceType=<value>            Size of replicas in for orgs in UBP, default mule.micro
  --lastMileSecurity                TLS Setting. Enable last mile security, default false.
  --objectStoreV2                   Enable object store v2, default disabled.
  --organization=<value>            Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>                Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --pathRewrite=<value>             Supply the base path expected by the HTTP Listener in your app. Must begin with a
                                    forward slash
  --propertiesFile=<value>          Overwrite all properties with values from this file. The file format is 1 or more
                                    lines in name: value format
  --property=<value>...             Set a property (name:value). Can be specified multiple times
  --publicEndpoints=<value>         Supply endpoints to reach via the public internet. Separated by commas, no spaces.
  --replicaSize=<value>             Size of replicas in vcores, default 0.1
  --replicas=<value>                Number of replicas, must be above 0, default 1
  --scopeLoggingConfig=<value>      Define scope logging with values in format scopeName:logLevel separated by commas,
                                    no spaces.
  --scopeLoggingConfigFile=<value>  Define scope logging with values from this file.The file format is 1 tupple per
                                    line, each tupple enclosed in {}, () or [] , in format {scope: scopeName, logLevel:
                                    logLevelType}
  --secureProperty=<value>...       Set a secure property (name:value). Can be specified multiple times
  --updateStrategy=<value>          Update strategy, default rolling
  --username=<value>                Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Deploy a new application retrieved from exchange [artifactId] in target [deploymentTargetId] with runtime version
  [runtimeVersion]
```

_See code: [src/commands/runtime-mgr/application/deploy.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/deploy.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:describe APPID`

Show cloudhub2 application details

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:describe [APPID] [--password <value> [--username <value> | --client_id
    <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>]
    [--host <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Show cloudhub2 application details
```

_See code: [src/commands/runtime-mgr/application/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/describe.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:download-logs APPID SPECID DIRECTORY`

Download application logs to specified directory

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:download-logs [APPID] [SPECID] [DIRECTORY] [--password <value> [--username <value>
    | --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>]
    [--environment <value>] [--host <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Download application logs to specified directory
```

_See code: [src/commands/runtime-mgr/application/download-logs.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/download-logs.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:list`

Lists all cloudhub2 applications in the environment

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:list [--password <value> [--username <value> | --client_id <value> | ]]
    [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-o <value>]

FLAGS
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists all cloudhub2 applications in the environment
```

_See code: [src/commands/runtime-mgr/application/list.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/list.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:logs APPID SPECID`

Tail application logs

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:logs [APPID] [SPECID] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Tail application logs
```

_See code: [src/commands/runtime-mgr/application/logs.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/logs.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:modify APPID`

Modify an existing cloudhub 2 application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:modify [APPID] [--password <value> [--username <value> | --client_id
    <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>]
    [--host <value>] [--collectMetrics] [-h] [--assetVersion <value>] [--groupId <value>] [--replicas <value>]
    [--replicaSize <value>] [--objectStoreV2] [--updateStrategy <value>] [--clustered] [--lastMileSecurity]
    [--disableAmLogForwarding] [--property <value>] [--secureProperty <value>] [--propertiesFile <value>]
    [--scopeLoggingConfigFile <value>] [--scopeLoggingConfig <value>] [--forwardSslSession] [--pathRewrite <value>]
    [--publicEndpoints <value>] [--instanceType <value>] [-o <value>] [--runtimeVersion <value>] [--artifactId <value>]

FLAGS
  -h, --help                        Show CLI help.
  -o, --output=<value>              [default: table] Format for commands output. Supported values are table (default)
                                    and json
  --artifactId=<value>              ID of the application retrieved from exchange
  --assetVersion=<value>            Version of the exchange application to use, default: latest app version
  --bearer=<value>                  Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>               Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>           Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment
                                    variable.
  --clustered                       clustering enabled, requires atleast 2 replicas, default disabled.
  --collectMetrics                  collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --disableAmLogForwarding          Disable forwarding application logs to Anypoint Monitoring, default false.
  --environment=<value>             Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --forwardSslSession               TLS Setting. Enable SSL session forwarding. Default disabled.
  --groupId=<value>                 Group id of the asset to deploy, default equals currently selected organization id
  --host=anypoint.mulesoft.com      [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                    environment variable.
  --instanceType=<value>            Size of replicas in for orgs in UBP, default mule.micro
  --lastMileSecurity                TLS Setting. Enable last mile security, default false.
  --objectStoreV2                   Enable object store v2, default disabled.
  --organization=<value>            Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>                Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --pathRewrite=<value>             Supply the base path expected by the HTTP Listener in your app. Must begin with a
                                    forward slash
  --propertiesFile=<value>          Overwrite all properties with values from this file. The file format is 1 or more
                                    lines in name: value format
  --property=<value>...             Set a property (name:value). Can be specified multiple times
  --publicEndpoints=<value>         Supply endpoints to reach via the public internet. Separated by commas, no spaces.
  --replicaSize=<value>             Size of replicas in vcores, default 0.1
  --replicas=<value>                Number of replicas, must be above 0, default 1
  --runtimeVersion=<value>          Runtime version of the deployment target
  --scopeLoggingConfig=<value>      Define scope logging with values in format scopeName:logLevel separated by commas,
                                    no spaces.
  --scopeLoggingConfigFile=<value>  Define scope logging with values from this file.The file format is 1 tupple per
                                    line, each tupple enclosed in {}, () or [] , in format {scope: scopeName, logLevel:
                                    logLevelType}
  --secureProperty=<value>...       Set a secure property (name:value). Can be specified multiple times
  --updateStrategy=<value>          Update strategy, default rolling
  --username=<value>                Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Modify an existing cloudhub 2 application
```

_See code: [src/commands/runtime-mgr/application/modify.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/modify.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:start APPID`

Start a cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:start [APPID] [--password <value> [--username <value> | --client_id
    <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>]
    [--host <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Start a cloudhub application
```

_See code: [src/commands/runtime-mgr/application/start.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/start.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:application:stop APPID`

Stop a running cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:application:stop [APPID] [--password <value> [--username <value> | --client_id
    <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>]
    [--host <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Stop a running cloudhub application
```

_See code: [src/commands/runtime-mgr/application/stop.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/application/stop.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-alert-history:describe [NAME]`

Describe the history of the alert

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-alert-history:describe [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Describe the history of the alert
```

_See code: [src/commands/runtime-mgr/cloudhub-alert-history/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-alert-history/describe.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-alert:list`

Lists all cloud alerts in the environment

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-alert:list [--password <value> [--username <value> | --client_id <value> | ]]
    [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [--limit <value>] [--offset <value>] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --limit=<value>               [default: 10] Number of results to retrieve
  --offset=<value>              Offset
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists all cloud alerts in the environment
```

_See code: [src/commands/runtime-mgr/cloudhub-alert/list.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-alert/list.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:copy SOURCE TARGET`

Copy cloud app from source to target. "source" and "target" args format: [<org>[:<env>/]]<app>

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:copy [SOURCE] [TARGET] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [--property <value>]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --property=<value>...         Set a property (name:value). Can be specified multiple times
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Copy cloud app from source to target. "source" and "target" args format: [<org>[:<env>/]]<app>
```

_See code: [src/commands/runtime-mgr/cloudhub-application/copy.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/copy.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:copy-replace SOURCE TARGET`

Copy cloud app from source to target, overwriting existing app and settings. "source" and "target" args format: [<org>[:<env>/]]<app>

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:copy-replace [SOURCE] [TARGET] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Copy cloud app from source to target, overwriting existing app and settings. "source" and "target" args format:
  [<org>[:<env>/]]<app>
```

_See code: [src/commands/runtime-mgr/cloudhub-application/copy-replace.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/copy-replace.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:delete NAME`

Delete a cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:delete [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Delete a cloudhub application
```

_See code: [src/commands/runtime-mgr/cloudhub-application/delete.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/delete.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:deploy NAME ZIPFILE`

Deploy a new application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:deploy [NAME] [ZIPFILE] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [--timeout <value>] [--runtime <value>] [--workers <value> |  |  |
    | ] [--workerSize <value> |  |  |  |  | ] [--region <value>] [--property <value>] [--propertiesFile <value>]
    [--persistentQueues] [--persistentQueuesEncrypted] [--staticIPsEnabled] [--objectStoreV1] [--objectStoreV2] [--autoRestart] [-o
    <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --autoRestart                 Automatically restart app when not responding.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --objectStoreV1               Enable or disable Object Store V1.
  --objectStoreV2               Enable or disable Object Store V2.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --persistentQueues            Enable or disable persistent queues.
  --persistentQueuesEncrypted   Enable or disable persistent queue encryption.
  --propertiesFile=<value>      Overwrite all properties with values from this file. The file format is 1 or more lines
                                in name: value format
  --property=<value>...         Set a property (name:value). Can be specified multiple times
  --region=<value>              Name of the region to deploy to
  --runtime=<value>             Name of the runtime
  --staticIPsEnabled            Enable or disable static IPs.
  --timeout=<value>             [default: 90000] Set the timeout value in milliseconds. Accepted values between 60000
                                and 300000
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.
  --workerSize=<value>          Size of the workers in vCores. Supported Values: 0.1, 0.2, 1, 2, 4
  --workers=<value>             Number of workers, Supported Values: 1, 2, 3, 4

DESCRIPTION
  Deploy a new application
```

_See code: [src/commands/runtime-mgr/cloudhub-application/deploy.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/deploy.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:describe NAME`

Show cloudhub application details

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:describe [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-o <value>]

FLAGS
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Show cloudhub application details
```

_See code: [src/commands/runtime-mgr/cloudhub-application/describe.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/describe.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:download-logs NAME DIRECTORY`

Download application logs to specified directory

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:download-logs [NAME] [DIRECTORY] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Download application logs to specified directory
```

_See code: [src/commands/runtime-mgr/cloudhub-application/download-logs.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/download-logs.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:list`

Lists all cloudhub applications in the environment

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:list [--password <value> [--username <value> | --client_id <value> | ]]
    [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Lists all cloudhub applications in the environment
```

_See code: [src/commands/runtime-mgr/cloudhub-application/list.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/list.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:modify NAME [ZIPFILE]`

Modify an existing cloudhub application, optionally updating the zip file

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:modify [NAME] [ZIPFILE] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h] [--runtime <value>] [--workers <value> |  |  |  | ] [--workerSize
    <value> |  |  |  |  | ] [--region <value>] [--property <value>] [--propertiesFile <value>] [--persistentQueues]
    [--persistentQueuesEncrypted] [--staticIPsEnabled] [--objectStoreV1] [--autoRestart] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --autoRestart                 Automatically restart app when not responding.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --objectStoreV1               Enable or disable Object Store V1.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --persistentQueues            Enable or disable persistent queues.
  --persistentQueuesEncrypted   Enable or disable persistent queue encryption.
  --propertiesFile=<value>      Overwrite all properties with values from this file. The file format is 1 or more lines
                                in name: value format
  --property=<value>...         Set a property (name:value). Can be specified multiple times
  --region=<value>              Name of the region to deploy to
  --runtime=<value>             Name of the runtime
  --staticIPsEnabled            Enable or disable static IPs.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.
  --workerSize=<value>          Size of the workers in vCores. Supported Values: 0.1, 0.2, 1, 2, 4
  --workers=<value>             Number of workers, Supported Values: 1, 2, 3, 4

DESCRIPTION
  Modify an existing cloudhub application, optionally updating the zip file
```

_See code: [src/commands/runtime-mgr/cloudhub-application/modify.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/modify.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:restart APPLICATIONNAME`

Restart a running cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:restart [APPLICATIONNAME] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Restart a running cloudhub application
```

_See code: [src/commands/runtime-mgr/cloudhub-application/restart.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/restart.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:revert-runtime NAME`

Restart a running cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:revert-runtime [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics] [-h] [-o <value>]

FLAGS
  -h, --help                    Show CLI help.
  -o, --output=<value>          [default: table] Format for commands output. Supported values are table (default) and
                                json
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Restart a running cloudhub application
```

_See code: [src/commands/runtime-mgr/cloudhub-application/revert-runtime.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/revert-runtime.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:start APPLICATIONNAME`

Start a cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:start [APPLICATIONNAME] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Start a cloudhub application
```

_See code: [src/commands/runtime-mgr/cloudhub-application/start.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/start.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:stop APPLICATIONNAME`

Stop a running cloudhub application

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:stop [APPLICATIONNAME] [--password <value> [--username <value> |
    --client_id <value> | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment
    <value>] [--host <value>] [--collectMetrics] [-h]

FLAGS
  -h, --help                    Show CLI help.
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Stop a running cloudhub application
```

_See code: [src/commands/runtime-mgr/cloudhub-application/stop.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/stop.ts)_

## `anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:tail-logs NAME`

Tail application logs

```
USAGE
  $ anypoint-cli-cloudhub-plugin runtime-mgr:cloudhub-application:tail-logs [NAME] [--password <value> [--username <value> | --client_id <value>
    | ]] [--client_secret <value> ] [--bearer <value> |  | ] [--organization <value>] [--environment <value>] [--host
    <value>] [--collectMetrics]

FLAGS
  --bearer=<value>              Token Bearer. You can define this in the ANYPOINT_BEARER environment variable.
  --client_id=<value>           Client ID. You can define this in the ANYPOINT_CLIENT_ID environment variable.
  --client_secret=<value>       Client Secret. You can define this in the ANYPOINT_CLIENT_SECRET environment variable.
  --collectMetrics              collect metrics. You can define this in the COLLECT_METRICS environment variable.
  --environment=<value>         Environment Name. You can define this in the ANYPOINT_ENV environment variable.
  --host=anypoint.mulesoft.com  [default: anypoint.mulesoft.com] Host URL. You can define this in the ANYPOINT_HOST
                                environment variable.
  --organization=<value>        Organization Name. You can define this in the ANYPOINT_ORG environment variable.
  --password=<value>            Password. You can define this in the ANYPOINT_PASSWORD environment variable.
  --username=<value>            Username. You can define this in the ANYPOINT_USERNAME environment variable.

DESCRIPTION
  Tail application logs
```

_See code: [src/commands/runtime-mgr/cloudhub-application/tail-logs.ts](https://github.com/mulesoft/anypoint-cli-cloudhub-plugin/blob/v0.1.0/src/commands/runtime-mgr/cloudhub-application/tail-logs.ts)_

## `anypoint-cli-cloudhub-plugin version`

```
USAGE
  $ anypoint-cli-cloudhub-plugin version
```

_See code: [@oclif/plugin-version](https://github.com/oclif/plugin-version/blob/v1.0.4/src/commands/version.ts)_
<!-- commandsstop -->
