"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const anypoint_cli_command_1 = require("anypoint-cli-command");
const core_1 = require("@oclif/core");
const utils_1 = require("../../../../helpers/utils");
class Disable extends anypoint_cli_command_1.AuthenticationBaseCommand {
    async run() {
        const { args } = await this.parse(Disable);
        await (0, utils_1.lbToggleDynamicIPs)(this, args.name, false);
    }
}
exports.default = Disable;
Disable.description = 'Disables dynamic IPs';
Disable.flags = {
    ...anypoint_cli_command_1.AuthenticationBaseCommand.flags,
    help: core_1.Flags.help({ char: 'h' }),
};
Disable.args = [{ name: 'name', required: true }];
